Summary: A Linux PXE (Preboot eXecution Environment) server.
Name: pxe
Version: 0.1
Release: 24
Copyright: BSD
Group: System Environment/Daemons
Source0: pxe-linux.tar.gz
Source1: pxe.init
Source2: pxe-README
Source3: pxe-license
Patch:   pxe-linux-config.patch
Patch1:	 pxe-1.0-cmdlinearg.patch
Patch2:	 pxe-1.0-yourIP.patch
Patch3:	 pxe-1.0-bash2.patch
Patch4:  pxe-1.0-tester.patch
Patch5:  pxe-1.0-socket.patch
Patch6:  pxe-1.0-time.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig /etc/init.d
ExclusiveArch: i386

%description
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server.

%prep
%setup -q -n pxe-linux
%patch -p1 -b .djb
%patch1 -p1 -b .oot
%patch2 -p1 -b .yourIP
%patch3 -p1 -b .bash2
%patch4 -p1 -b .tester
%patch5 -p1 -b .socket
%patch6 -p1 -b .time

cp ${RPM_SOURCE_DIR}/pxe-license license

%build
cp ${RPM_SOURCE_DIR}/pxe-README README
make -C nbp.linux
make -C server

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
make PREFIX=${RPM_BUILD_ROOT} install -C nbp.linux
make PREFIX=${RPM_BUILD_ROOT} install -C server
install -m 755 ${RPM_SOURCE_DIR}/pxe.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/pxe
strip ${RPM_BUILD_ROOT}/usr/lib/*.so.*

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig
/sbin/chkconfig --add pxe


%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del pxe
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README license

%dir /tftpboot/X86PC/UNDI/linux-install
%dir /tftpboot/X86PC/UNDI/BStrap
/tftpboot/X86PC/UNDI/linux-install/linux.0
/tftpboot/X86PC/UNDI/BStrap/bstrap.0

/usr/lib/libpxelib.so.1.0
/usr/lib/libpxelib.so
/usr/lib/libApiTestOpts.so.1.0
/usr/lib/libApiTestOpts.so
/usr/lib/libBstrapOpts.so.1.0
/usr/lib/libBstrapOpts.so
/usr/lib/libpxeTester.so.1.0
/usr/lib/libpxeTester.so
/usr/lib/libpxeParser.so.1.0
/usr/lib/libpxeParser.so

/usr/sbin/in.mtftpd
%config /etc/mtftpd.conf

%config /etc/rc.d/init.d/pxe
/usr/sbin/pxe
%config /etc/pxe.conf


%changelog
* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- patched pxemisc.h to include both sys/time.h and time.h

* Fri Feb  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- i18nize initscript

* Sat Aug 05 2000 Erik Troan <ewt@redhat.com>
- added patch to handle case w/ we don't get our socket (from 
  tjdougherty@uswest.net)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- move init script to /etc/init.d
- added condrestart to init script
- added stop/start functions to init script

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- modified pxe server to return the IP in the reply packet
- compile cleanups
- fixes for building with bash2

* Thu Feb 24 2000 Erik Troan <ewt@redhat.com>
- added license notice

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- strip libraries

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descritpion and summary

* Tue Dec 21 1999 Erik Troan <ewt@redhat.com>
- made "ks" the default command line option

* Sun Sep 26 1999 Erik Troan <ewt@redhat.com>
- added patch for command line args

* Fri Sep 24 1999 Donnie Barnes <djb@redhat.com>
- updated sources from Intel
- updated README from Intel (they didn't like my meager attempt.  Hmmph.)
- removed my patch as they included what appears to be all of it

* Thu Sep 23 1999 Donnie Barnes <djb@redhat.com>
- added README's

* Thu Sep 23 1999 Cristian Gafton <gafton@redhat.com>
- minor cleanups

* Wed Sep 22 1999 Donnie Barnes <djb@redhat.com>
- initial packaging
